org.wildfly.swarm.microprofile.faulttolerance.deployment.config

## Class GenericConfig<X extends Annotation>

- java.lang.Object
- - org.wildfly.swarm.microprofile.faulttolerance.deployment.config.GenericConfig<X>

- Direct Known Subclasses:
    BulkheadConfig, CircuitBreakerConfig, FallbackConfig, RetryConfig, TimeoutConfig

      public abstract class GenericConfig<X extends Annotation>
      extends Object

  Author:
    Antoine Sabot-Durand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIG_PARAMS_CACHE_KEY` This config property key can be used to disable config parameters caching.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericConfig(Class<X> annotationType, <any> annotatedMethod)`
    `GenericConfig(Class<X> annotationType, Method method)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<U> U` | `get(String key)`
    `<U> U` | `get(String key, Class<U> expectedType)`
    `String` | `getMethodInfo()`
    `abstract void` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIG_PARAMS_CACHE_KEY

          public static final String CONFIG_PARAMS_CACHE_KEY

      This config property key can be used to disable config parameters caching. If disabled, properties are resolved every time a config parameter is needed.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GenericConfig

          public GenericConfig(Class<X> annotationType,
                               Method method)

    - #### GenericConfig

          public GenericConfig(Class<X> annotationType,
                               <any> annotatedMethod)

  - ### Method Detail

    - #### get

          public <U> U get(String key)

    - #### get

          public <U> U get(String key,
                           Class<U> expectedType)

    - #### validate

          public abstract void validate()

    - #### getMethodInfo

          public String getMethodInfo()

Copyright © 2018 JBoss by Red Hat. All rights reserved.